package cn.iocoder.yudao.module.erp.controller.admin.stock.vo.out;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum StockOutTypeEnum {

    其他出库("其他出库"),
    关键件出库("关键件出库"),
    原料出库("原料出库"),
    领料出库("领料出库"),
    产品出库("产品出库");

    private final String value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static StockOutTypeEnum fromValue(String value) {
        for (StockOutTypeEnum status : StockOutTypeEnum.values()) {
            if (status.getValue().equals(value)) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }
}